# synfig::ValueNode_Integer Class Reference

`#include <valuenode_integer.h>`

Inheritance diagram for synfig::ValueNode_Integer:

List of all members.

## Public Types

typedef etl::handle < ValueNode_Integer > | Handle
typedef etl::handle< const ValueNode_Integer > | ConstHandle

## Public Member Functions

| ValueNode_Integer (const ValueBase::Type &x)
| ValueNode_Integer (const ValueBase &x)
virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
virtual | ~ValueNode_Integer ()
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.
virtual ValueNode::LooseHandle | get_link_vfunc (int i) const
virtual int | link_count () const
virtual String | link_name (int i) const
virtual String | link_local_name (int i) const
virtual int | get_link_index_from_name (const String &name) const

## Static Public Member Functions

static bool | check_type (ValueBase::Type type)
static ValueNode_Integer * | create (const ValueBase &x)

## Protected Member Functions

LinkableValueNode * | create_new () const
virtual bool | set_link_vfunc (int i, ValueNode::Handle x)

## Member Typedef Documentation

typedef etl::handle<ValueNode_Integer> synfig::ValueNode_Integer::Handle

Reimplemented from synfig::LinkableValueNode.

typedef etl::handle<const ValueNode_Integer> synfig::ValueNode_Integer::ConstHandle

Reimplemented from synfig::LinkableValueNode.

## Constructor & Destructor Documentation

ValueNode_Integer::ValueNode_Integer | ( | const ValueBase::Type & | x | ) |

Referenced by create(), and create_new().

ValueNode_Integer::ValueNode_Integer | ( | const ValueBase & | x | ) |

References _, synfig::ValueNode_Const::create(), synfig::ValueBase::get(), get_local_name(), synfig::ValueBase::get_type(), synfig::LinkableValueNode::set_link(), synfig::ValueBase::TYPE_ANGLE, synfig::ValueBase::TYPE_BOOL, synfig::ValueBase::type_local_name(), synfig::ValueBase::TYPE_REAL, and synfig::ValueBase::TYPE_TIME.

ValueNode_Integer::~ValueNode_Integer | ( |  | ) | `[virtual]`

References synfig::LinkableValueNode::unlink_all().

## Member Function Documentation

ValueBase ValueNode_Integer::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode.

References _, get_local_name(), synfig::ValueNode::get_type(), synfig::ValueBase::TYPE_ANGLE, synfig::ValueBase::TYPE_BOOL, synfig::ValueBase::type_local_name(), synfig::ValueBase::TYPE_REAL, and synfig::ValueBase::TYPE_TIME.

String ValueNode_Integer::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Implements synfig::ValueNode.

String ValueNode_Integer::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Implements synfig::ValueNode.

References _.

Referenced by operator()(), and ValueNode_Integer().

ValueNode::LooseHandle ValueNode_Integer::get_link_vfunc | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_Integer::link_count | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

Referenced by get_link_vfunc(), link_local_name(), link_name(), and set_link_vfunc().

String ValueNode_Integer::link_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

String ValueNode_Integer::link_local_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References _, and link_count().

int ValueNode_Integer::get_link_index_from_name | ( | const String & | name | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

LinkableValueNode * ValueNode_Integer::create_new | ( |  | ) | const`[protected, virtual]`

Implements synfig::LinkableValueNode.

References synfig::ValueNode::get_type(), and ValueNode_Integer().

bool ValueNode_Integer::set_link_vfunc | ( | int | i,
|  | ValueNode::Handle | x |
| ) |  |  | `[protected, virtual]`

Implements synfig::LinkableValueNode.

References CHECK_TYPE_AND_SET_VALUE, synfig::ValueNode::get_type(), and link_count().

static bool synfig::ValueNode_Integer::check_type | ( | ValueBase::Type | type | ) | `[static]`

ValueNode_Integer * ValueNode_Integer::create | ( | const ValueBase & | x | ) | `[static]`

References ValueNode_Integer().

The documentation for this class was generated from the following files:

- valuenode_integer.h
- valuenode_integer.cpp